<?php

// API routes  for fitser_community.

// Guard routes for fitser_community
Route::prefix('{guard}/fitser_community')->group(function () {
    Route::resource('fitser_community', 'FitserCommunityResourceController');
});



// Public routes for fitser_community
Route::get('fitser_communities/', 'FitserCommunityPublicController@index');
Route::get('fitser_community/{slug?}', 'FitserCommunityPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for fitser_community
            Route::prefix('{guard}/fitser_community')->group(function () {
                Route::resource('fitser_community', 'FitserCommunityResourceController');
            });
            
            

            // Public routes for fitser_community
            Route::get('fitser_communities/', 'FitserCommunityPublicController@index');
            Route::get('fitser_community/{slug?}', 'FitserCommunityPublicController@show');
        }
    );
}