<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'fitser_community',

    /*
     * Modules.
     */
    'modules'   => ['fitser_community'],

    
    'fitser_community'       => [
        'model' => [
            'model' => \Litecms\FitserCommunity\Models\FitserCommunity::class,
            'repository' => \Litecms\FitserCommunity\Repositories\Eloquent\FitserCommunityRepository::class,
            'table' => 'fitser_communities',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'image',  'data_video',  'description',  'status',  'slug'],
            'translatables' => [],
            'upload_folder' => 'fitser_community/fitser_community',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'FitserCommunity',
            'module' => 'FitserCommunity',
        ],
    ],
];
