<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateFitserCommunitiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: fitser_communities
         */
        Schema::create('fitser_communities', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->text('image')->nullable();
            $table->text('data_video')->nullable();
            $table->text('description')->nullable();
            $table->enum('status', [])->nullable();
            $table->string('slug', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('fitser_communities');
    }
}
