Lavalite package that provides fitser_community management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/fitser_community`.

    "litecms/fitser_community": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\FitserCommunity\Providers\FitserCommunityServiceProvider::class,

And also add it to alias

    'FitserCommunity'  => Litecms\FitserCommunity\Facades\FitserCommunity::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\FitserCommunity\\Seeds\\FitserCommunityTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\FitserCommunity\Providers\FitserCommunityServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\FitserCommunity\Providers\FitserCommunityServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\FitserCommunity\Providers\FitserCommunityServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/fitser_community/{modulename}

**User**

    http://path-to-route-folder/user/fitser_community/{modulename}

**Public**

    http://path-to-route-folder/fitser_communities


### API endpoints

**List**

    http://path-to-route-folder/api/user/fitser_community/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/fitser_community/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/fitser_community/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/fitser_community/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/fitser_community/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/fitser_community/{modulename}/{slug}
    METHOD: GET