<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for fitser_community in fitser_community package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  fitser_community module in fitser_community package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'FitserCommunity',
    'names' => 'FitserCommunities',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'FitserCommunities',
        'sub' => 'FitserCommunities'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status'              => [],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'name'                       => 'Name',
        'image'                      => 'Image',
        'data_video'                 => 'Video',
        'description'                => 'Description',
        'status'                     => 'Status',
        'slug'                       => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'name'                       => 'Name',
        'image'                      => 'Image',
        'data_video'                 => 'Video',
        'description'                => 'Description',
        'status'                     => 'Status',
        'slug'                       => '',
    ],
];
